<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_3758af61703edea17ee" . "38fab15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2" . "YgV3JpdGFibGVDb25maWc="), "_44b97fb00c5dc6204a2e8b46429c" . "e109" => base64_decode("aXNfc3" . "RyaW5n" . "YWJsZQ" . "=="), "_5a13027" . "a56ff426" . "a18806ba" . "f1e53ce7" . "4" => base64_decode("Q29uZmlnVmFsdWUgJ" . "w=="), "_490fedd" . "0c33685b" . "d3a92a23" . "dfbdbe38" . "c" => base64_decode("JyBDb25maWdWYWx1Z" . "SB0byBzdHJpbmc="), "_6596b8f6a49" . "69f9a3f6a1b2" . "2b90e9331" => base64_decode("c3ByaW50Z" . "g=="), "_835783a340b626fa250ace4c8d824" . "9f7" => base64_decode("VW5hYmxlIHR" . "vIGNhc3QgJw" . "=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5a13027a56ff426a18806baf1e5" . "3ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3758af61703edea17ee" . "38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_44b97fb00c5dc6204a2e8" . "b46429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_835783a340b626fa250ace4c8d824" . "9f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_490fedd0c3368" . "5bd3a92a23dfbd" . "be38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6596b8f6a4969" . "f9a3f6a1b22b90" . "e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}